// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import iView from 'iview'
import Clipboard from 'v-clipboard'
import store from '@/store/index'
import 'iview/dist/styles/iview.css'
import '@/assets/css/base.css'
import api from '@/api'
import '@/utils/auth'
import { Message } from 'iview'
import $ from 'jquery'
Vue.config.productionTip = false

Vue.prototype.$api = api
Vue.use(iView)
Vue.use(Clipboard)

new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
